const tailwindcss = require('tailwindcss');
const nano = require('cssnano')

const purgecss = require('@fullhuman/postcss-purgecss')({
//
	content: [
		"./src/components/*.js",
		"./node_modules/react-toastify/dist/ReactToastify.min.css",
		"./public/index.html",
		"./src/custom.js",
		"./src/App.js",
	],

	defaultExtractor: content => {
		const broadMatches = content.match(/[^<>"'`\s]*[^<>"'`\s:]/g) || []
		const innerMatches = content.match(/[^<>"'`\s.()]*[^<>"'`\s.():]/g) || []

		return broadMatches.concat(innerMatches)
	}
})

module.exports = {
	plugins: [
		tailwindcss('./tailwind.js'),
		require('autoprefixer'),
		...process.env.NODE_ENV === 'production'
				? [purgecss, nano]
				: []
	]
}